# Uses of Class
org.jmol.symmetry.CIPData

Packages that use CIPData
Package
Description
org.jmol.symmetry

## Uses of CIPData in org.jmol.symmetry

Subclasses of CIPData in org.jmol.symmetry
Modifier and Type
Class
Description
`class`
`CIPDataSmiles`
A subclass that allows Jmol processing of SMILES using "...smiles...".find("SMILES","chirality")
`class`
`CIPDataTracker`
An optional class to track digraph paths to decisions.
Methods in org.jmol.symmetry that return CIPData
Modifier and Type
Method
Description
`CIPData`
CIPData.`set(Viewer vwr, BS bsAtoms)`
Actual constructor.
Methods in org.jmol.symmetry with parameters of type CIPData
Modifier and Type
Method
Description
`void`
CIPChirality.`getChiralityForAtoms(CIPData data)`
A general determination of chirality that involves ultimately all of Rules 1-6.